<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF0725=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="on">
      <action>temp0 =maincpu.mw@00D6C8</action>
    </script>
    <script state="run">
      <action>maincpu.mw@00D6C8=4E75</action>
    </script>
    <script state="off">
      <action>maincpu.mw@00D6C8=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Ghost 1 can always be eaten"> <comment>Use this cheat with caution as it may crash the game if you make too much use of it</comment>
    <script state="run">
      <action>maincpu.pb@FF5445=78</action>
    </script>
  </cheat>

  <cheat desc="Ghost 2 can always be eaten"> <comment>Use this cheat with caution as it may crash the game if you make too much use of it</comment>
    <script state="run">
      <action>maincpu.pb@FF5645=78</action>
    </script>
  </cheat>

  <cheat desc="Ghost 3 can always be eaten"> <comment>Use this cheat with caution as it may crash the game if you make too much use of it</comment>
    <script state="run">
      <action>maincpu.pb@FF5845=78</action>
    </script>
  </cheat>

  <cheat desc="Ghost 4 can always be eaten"> <comment>Use this cheat with caution as it may crash the game if you make too much use of it</comment>
    <script state="run">
      <action>maincpu.pb@FF5A45=78</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF5047=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF5247=09</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
